MATLAB Answers

Is there a way to use MATLAB R2014b with macOS 11.2 Big Sur?

25 views (last 30 days)
Michael Iatrakis
Michael Iatrakis on 12 May 2021
Answered: Kiran Felix Robert on 24 Jun 2021
I am trying to run a hippocampal module (using FreeSurfer v7) that requires Matlab R2014b runtime. I keep getting the messages: Segmentation Violation Detected; and Matlab is exiting because of a fatal error. I assume this is a compatibility issue as I am using macOS 11.2. Please find attached the crash report.
I downloaded Matlab R2020b but it didn't work as it is not compatible with FreeSurfer v7 (Guide followed: here).
  1 Comment
James Moore
James Moore on 13 May 2021
For others in future looking into doing this but also having incompatibility issues with their host operating system you may wish to make use of the following docker image: https://hub.docker.com/r/jkwmoore/freesurfer7_mcr84

Sign in to comment.

Answers (1)

Kiran Felix Robert
Kiran Felix Robert on 24 Jun 2021
Hi Michael,
MATLAB is compatible with macOS 11 (Big Sur) from release R2020b onwards.
For more details on compatibility and system requirements, at the following page, click Details in the Mac column for the release you want:
Earlier versions of MATLAB do not officially support macOS Big Sur. These versions may work, but MathWorks does not guarantee full compatibility with these releases on macOS Big Sur.

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by